import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare type CreateTreeInstructionArgs = {
    maxDepth: number;
    maxBufferSize: number;
};
export declare const createTreeStruct: beet.BeetArgsStruct<CreateTreeInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export declare type CreateTreeInstructionAccounts = {
    treeAuthority: web3.PublicKey;
    merkleTree: web3.PublicKey;
    payer: web3.PublicKey;
    treeCreator: web3.PublicKey;
    logWrapper: web3.PublicKey;
    compressionProgram: web3.PublicKey;
    systemProgram?: web3.PublicKey;
};
export declare const createTreeInstructionDiscriminator: number[];
export declare function createCreateTreeInstruction(accounts: CreateTreeInstructionAccounts, args: CreateTreeInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
